Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 599720 - Review Request: Spawning26 - A HTTP server for hosting WSGI python web applications
Review Request: Spawning26 - A HTTP server for hosting WSGI python web applic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:37 EDT by Kevin Fenzi
Modified: 2010-07-02 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2010-06-03 15:37:25 EDT
Spec URL: http://www.scrye.com/~kevin/fedora/Spawning26/Spawning26.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/Spawning26/Spawning26-0.9.3-0.rc2.5.el5.src.rpm
Description: 

Spawning is a wsgi server which supports multiple processes,
multiple threads, green threads, non-blocking HTTP io,
and automatic graceful upgrading of code.

NOTE: This package is intended for the python26 stack in EPEL5 only.
Comment 1 Lev Shamardin 2010-06-22 13:10:21 EDT
May be this is a bit late, but: don't you think that this package should be named "python26-spawning"? (and it's counterpart in Fedora/EPEL5-python24 to be renamed to python-spawning?)

Compare to CherryPy or Twisted: the packages are named python-cherrypy and python-twisted-blah, so this renaming should make package naming more consistent.
Comment 2 Kevin Fenzi 2010-06-22 13:40:26 EDT
Well, I don't know that I consider this to be a python add-on or library. 

It provides a /usr/sbin/Spawning26 command, so it seems to me to be an application that happens to be written in python. Does that make sense?
Comment 3 Lev Shamardin 2010-06-22 14:07:05 EDT
I've picked CherryPy and Twisted as references because they do essentially the same thing: they provide a web-server, which can be used as a python library, and at the same time they contribute some commands to /usr/bin
Comment 4 Kevin Fenzi 2010-07-02 15:43:38 EDT
After talking with Dave and Toshio and other various discussions, I decided this package isn't needed. 

Since it's an application, not a library it doesn't make sense to have versions for the various stacks here. 

Closing.

Note You need to log in before you can comment on or make changes to this bug.